# PSF-LoginServer - master - net.psforever.objects.serverobject.turret.WeaponTurret
PSF - LoginServer - master - net.psforever.objects.serverobject.turret.WeaponTurret
Keywords: PSF LoginServer master net.psforever.objects.serverobject.turret.WeaponTurret

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package turret
  Definition Classes
    serverobject
- FacilityTurret
- FacilityTurretControl
- FacilityTurretDefinition
- TurretAmmoBox
- TurretDefinition
- TurretUpgrade
- TurretWeapon
- WeaponTurret
- WeaponTurrets

t

net.psforever.objects.serverobject.turret

# WeaponTurret 

###
Companion object WeaponTurret

#### trait WeaponTurret extends FactionAffinity with MountableWeapons with Container

Self Type
  WeaponTurret with PlanetSideGameObject
Source
  WeaponTurret.scala

Linear Supertypes
Container, MountableWeapons, Mountable, MountedWeapons, FactionAffinity, AnyRef, Any
Known Subclasses
TurretDeployable, FacilityTurret

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WeaponTurret
2. Container
3. MountableWeapons
4. Mountable
5. MountedWeapons
6. FactionAffinity
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def Actor: ActorRef

   A reference to an `Actor` that governs the logic of the object to accept `Mountable` messages.

   A reference to an `Actor` that governs the logic of the object to accept `Mountable` messages. Specifically, the `Actor` should intercept the logic of `MountableControl.`

   returns

     the internal `ActorRef`

   Definition Classes
     Mountable
   See also

     `MountableControl`

     `PlanetSideServerObject.Actor`

2.  abstract def Definition: TurretDefinition
   Definition Classes
     WeaponTurret → MountableWeapons → Mountable → MountedWeapons
3.  abstract def Faction: types.PlanetSideEmpire.Value
   Definition Classes
     FactionAffinity
4.  abstract def Health: Int
5.  abstract def MaxHealth: Int

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Collisions(index: Int, width: Int, height: Int): Try[List[InventoryItem]]

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`.

   Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
   Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`. Where the `Equipment` object is defined by the dimensions `width` and `height`, starting a search at `index` will search all positions within a grid-like range of numbers. Under certain searching conditions, this range may be meaningless, such as is the case when searching individual positions that are normal `EquipmentSlot` objects. Regardless, the value collected indicates the potential of multiple objects being discovered and maintains a reference to the object itself and the slot position where the object is located. (As any object can be discovered within the range, that is important.)

   index

     the position to start searching

   width

     the width of the searchable space

   height

     the height of the serachable space

   returns

     a list of objects that have been encountered within the searchable space

   Definition Classes
     Container
   See also

     `GridInventory.CheckCollisionsVar`

5.  def ConfirmUpgrade(upgrade: TurretUpgrade.Value): TurretUpgrade.Value
6.  def ControlledWeapon(wepNumber: Int): Option[Equipment]
   Definition Classes
     MountableWeapons
7.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
   Definition Classes
     FactionAffinity
8.  def Find(guid: PlanetSideGUID): Option[Int]

   Given globally unique identifier, if the object using it is stowed, attempt to locate its slot.

   Given globally unique identifier, if the object using it is stowed, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

   guid

     the GUID of the `Equipment`

   returns

     the index of the `EquipmentSlot`, or `None`

   Definition Classes
     Container
9.  def Find(obj: Equipment): Option[Int]

   Given an object, attempt to locate its slot.

   Given an object, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

   obj

     the `Equipment` object

   returns

     the index of the `EquipmentSlot`, or `None`

   Definition Classes
     Container
10.  def Fit(tile: InventoryTile): Option[Int]
    Definition Classes
      Container
11.  def Fit(obj: Equipment): Option[Int]
    Definition Classes
      Container
12.  def GetSeatFromMountPoint(mountPoint: Int): Option[Int]

    Given a mount point index, return the associated mount index.

    Given a mount point index, return the associated mount index.

    mountPoint

      the mount point

    returns

      the mount index

    Definition Classes
      Mountable
13.  def Inventory: GridInventory

    A(n imperfect) reference to a generalized pool of the contained objects.

    A(n imperfect) reference to a generalized pool of the contained objects. Having access to all of the available positions is not required. The entries in this reference should definitely include all unseen positions. The `GridInventory` returned by this accessor is also an implementation of `Container`.

    Definition Classes
      WeaponTurret → Container
    See also

      `VisibleSlots`

14.  def MountPoints: Map[Int, MountInfo]

    Retrieve a mapping of each mount from its mount point index.

    Retrieve a mapping of each mount from its mount point index.

    returns

      the mapping of mount point to mount

    Definition Classes
      Mountable
15.  def PassengerInSeat(user: Player): Option[Int]

    Given a player, determine if that player is seated.

    Given a player, determine if that player is seated.

    user

      the player

    returns

      the mount index

    Definition Classes
      Mountable
16.  def Seat(seatNumber: Int): Option[Seat]

    Given a mount's index position, retrieve the internal `Seat` object.

    Given a mount's index position, retrieve the internal `Seat` object.

    returns

      the specific mount

    Definition Classes
      Mountable
17.  def Seats: Map[Int, Seat]

    Retrieve a mapping of each mount from its internal index.

    Retrieve a mapping of each mount from its internal index.

    returns

      the mapping of index to mount

    Definition Classes
      Mountable
18.  def Slot(slotNum: Int): EquipmentSlot

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable.

    Access to all stowable positions on this object by index.
    All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable. Regardless of the internal storage medium, the format of return is expected to be the same structure of object as the most basic storage component for `Equipment`, namely, `EquipmentSlot` objects. By default, it is expected to return an `EquipmentSlot` that can not be manipulated because it is `Blocked`.

    slotNum

      an index

    returns

      the searchable position identified by that index

    Definition Classes
      Container
    See also

      `OffhandEquipmentSlot`

19.  def Upgrade: TurretUpgrade.Value
20.  def Upgrade_=(upgrade: TurretUpgrade.Value): TurretUpgrade.Value
21.  def VisibleSlots: Set[Int]

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required.

    A(n imperfect) reference to a generalized pool of the contained objects.
    Having access to all of the available positions is not required. Only the positions that can be actively viewed by other clients are listed.

    returns

      all of the affected slot indices

    Definition Classes
      WeaponTurret → Container
    See also

      `Inventory`

22.  def WeaponControlledFromSeat(seatNumber: Int): Option[Equipment]

    Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

    Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

    seatNumber

      the mount number

    returns

      a mounted weapon by index, or `None` if either the mount doesn't exist or there is no controlled weapon

    Definition Classes
      MountableWeapons
23.  def Weapons: Map[Int, EquipmentSlot]
    Definition Classes
      MountedWeapons
24.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
25.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
26.  def controlledWeapon(wepNumber: Int): Option[Equipment]
    Definition Classes
      MountableWeapons
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
29.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
30.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  val inventory: GridInventory

    may or may not have inaccessible inventory space see `ReserveAmmunition` in the definition

    may or may not have inaccessible inventory space see `ReserveAmmunition` in the definition

    Attributes
      protected
33.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
34.  def isUpgrading: Boolean
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  val seats: Map[Int, Seat]
    Attributes
      protected
    Definition Classes
      Mountable
39.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      AnyRef → Any
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
44.  val weapons: Map[Int, EquipmentSlot]
    Attributes
      protected
    Definition Classes
      MountedWeapons

### Inherited from Container

### Inherited from MountableWeapons

### Inherited from Mountable

### Inherited from MountedWeapons

### Inherited from FactionAffinity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped